(**
   Compress strings
   @author lillo
*)

open Util

let main () =
  if (Array.length (Sys.argv)) > 1 then
    begin
      Printf.printf "Compressing strings...\n";
      let cstrings = Array.mapi (fun i s -> if i > 0 then compress s else "") Sys.argv in
      Array.iteri (fun i s -> if i > 0 then Printf.printf "%s --> %s\n" (Sys.argv.(i)) s) cstrings
    end
  else
    Printf.printf "Usage: %s str1 ... strN\n" (Sys.argv.(0))

let _= main()
